%global pypi_name XStatic-Angular-Cookies

Name:           python-%{pypi_name}
Version:        1.2.1.1
Release:        4%{?dist}
Summary:        Angular-Cookies (XStatic packaging standard)

License:        MIT
URL:            http://angularjs.org
Source0:        https://pypi.python.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  web-assets-devel

Requires: python-XStatic
Requires: web-assets-filesystem

%description
Angular-Cookies JavaScript library packaged for setuptools 
(easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/angular_cookies'|" xstatic/pkg/angular_cookies/__init__.py


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}/%{_jsdir}/angular_cookies
mv %{buildroot}/%{python2_sitelib}/xstatic/pkg/angular_cookies/data/angular-cookies.js %{buildroot}/%{_jsdir}/angular_cookies


%files
%doc README.txt
%{python2_sitelib}/xstatic/pkg/angular_cookies
%{python2_sitelib}/XStatic_Angular_Cookies-%{version}-py%{python_version}.egg-info
%{python2_sitelib}/XStatic_Angular_Cookies-%{version}-py%{python_version}-nspkg.pth
%{_jsdir}/angular_cookies

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Sep 04 2014 Matthias Runge <mrunge@redhat.com> - 1.2.1.1-2
- change BR to python2-devel (rhbz#1135411)

* Wed Aug 27 2014 Matthias Runge <mrunge@redhat.com> - 1.2.1.1-1
- Initial package. (rhbz#1135411)
